%define pkg_name        GraphViz-Data-Structure
%define pkg_version     0.17
%define rpm_pkg_version 0.17
%define rpm_pkg_release 1.n0i.1

Summary:       Visualise data structures
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/modules/by-module/GraphViz/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(Devel::Peek)
BuildRequires: perl(GraphViz) >= 2.02
BuildRequires: graphviz >= 2.2
Requires:      graphviz >= 2.2


%description
This module makes it easy to visualise data structures, even recursive
or circular ones.
It is provided as an alternative to GraphViz::Data::Grapher.

%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_mod}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc BUGS Changes LICENSE README


%changelog
* Fri Sep 21 2007 Marius Feraru <altblue@n0i.net> - 0.17-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.14.11
- version 0.17
